<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Attributes;

use Attribute;

#[Attribute(Attribute::TARGET_PROPERTY | Attribute::TARGET_METHOD | Attribute::TARGET_PARAMETER)]
final class Inject
{
    public function __construct(public readonly ?string $id = null) {}
}
